update firmware for sound sof driver to fix the hang issue on several Dell machines

Bug #1847250 reported by Hui Wang on 2019-10-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Critical
Yuan-Chen Cheng
linux-firmware (Ubuntu)
Critical
Hui Wang
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Critical
Hui Wang

Bug Description

We expect this firmware update could be released with 19.10

[Impact]
We have a couple of Dell machines, after installing the system, it
will hang randomly, and this issue was reported by factory, they met
this issue a couple of times. Then we tried to reproduce this issue,
finally reproduced it.

[Fix]
Intel debugged this issue as well, and they provided 4 kernel patches
and a new firmware, we tested them, they really can fix the issue.
And the patches were sent the SRU already, now it is time to update
firmware.

[Test Case]
Install the system repeatedly and there is no hang issue anymore.

[Regression Risk]
Low, Intel told us there is no ABI change for the firmware, so
it is safe to run this firmware both with the old driver (not applied
those 4 patches) and the new driver (applied those 4 patches).

Hui Wang (hui.wang) on 2019-10-08
Changed in linux-firmware (Ubuntu):
importance: Undecided → Critical
tags: added: originate-from-1845415 somerville
tags: added: originate-from-1841562
Hui Wang (hui.wang) on 2019-10-08
description: updated
Seth Forshee (sforshee) on 2019-10-08
Changed in linux-firmware (Ubuntu Eoan):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Disco):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.183

---------------
linux-firmware (1.183) eoan; urgency=medium

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

 -- Seth Forshee <email address hidden> Tue, 08 Oct 2019 13:54:11 -0500

Changed in linux-firmware (Ubuntu Eoan):
status: Fix Committed → Fix Released

An upload of linux-firmware to disco-proposed has been rejected from the upload queue for the following reason: "Seems we have a pending package in -proposed and we need to take that into account.".

Andy Whitcroft (apw) wrote :

An upload of linux-firmware to bionic-proposed has been rejected from the upload queue for the following reason: "Seems we have a pending package in -proposed and we need to take that into account.".

Hello Hui, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Hello Hui, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Hui Wang (hui.wang) on 2019-10-16
tags: added: verification-done-bionic verification-done-disco
Rex Tsai (chihchun) wrote :

Hi,

This version of firmware[1] is not signed by Intel. The Comet Lake (CML) processor will validate the PV bits of the firmware, and it will refuse to load the sof-cnl.ri firmware

sof-audio-pci 0000:00:1f.3: error: load fw failed ret: -110

This SRU breaks the DMIC on CML platform. Please kindly replace the firmware binary for the CML platforms.

[1] 4dbdd3366e840562b2a1da3927b1075e intel/sof/sof-cnl.ri

Seth Forshee (sforshee) on 2019-10-28
tags: added: verification-failed-bionic verification-failed-disco
removed: verification-done-bionic verification-done-disco
Seth Forshee (sforshee) on 2019-10-28
tags: added: block-proposed
Yuan-Chen Cheng (ycheng-twn) wrote :

I think we need to drop this from proposed and move forward! it blocks some other firmware update like LP: #1850738 which we have schedule to catch.

tags: added: oem-priority
Changed in oem-priority:
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Yuan-Chen Cheng (ycheng-twn)
You-Sheng Yang (vicamo) wrote :

This has been reverted in bug 1850739 in Ubuntu-1.173.12.

Timo Aaltonen (tjaalton) wrote :

Hello Hui, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Hui, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Seth Forshee (sforshee) wrote :

Hui: Can you confirm that the proper firmware is present, then mark both this and bug 1850739 as verified? Thanks!

tags: removed: block-proposed
tags: removed: verification-failed-bionic verification-failed-disco
Hui Wang (hui.wang) wrote :

Verified they are updated and then reverted in the 1.173.12 and 1.178.6.

tags: added: verification-done-bionic verification-done-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.12

---------------
linux-firmware (1.173.12) bionic; urgency=medium

  * Firmware for Radeon RX5700 (navi10) missing / boot failure
    (LP: #1848848)
    - amdgpu: add initial navi10 firmware

  * update-initramfs complains of missing amdgpu firmware files
    (LP: #1850654)
    - amdgpu: add new raven rlc firmware

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8822CU
    - rtl_bt: Update firmware for BT part of RTL8822C
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.173.11) bionic; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.173.10) bionic; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 16:14:05 -0600

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.6

---------------
linux-firmware (1.178.6) disco; urgency=medium

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

linux-firmware (1.178.5) disco; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

linux-firmware (1.178.4) disco; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * [Intel CyclonePeak] Pairing new BT mouse fails sometimes Edit
    (LP: #1836983)
    - linux-firmware: Update firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 05 Nov 2019 15:56:27 -0600

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released
Changed in oem-priority:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers